Re: Proposed external dep: PolicyKit

On Wed, 2008-05-07 at 17:27 +0200, Vincent Untz wrote:
> Le mercredi 07 mai 2008, à 16:18 +0100, Richard Hughes a écrit :
> > I would like to propose PolicyKit[1] as an external dep for 2.26 - it's
> > mostly API stable[2], and is now being used as an optional dep in many
> > modules in gnome svn and HAL.
> s/2.26/2.24/ I guess? :-)
> Makes sense to me.

Right, I did mention six months ago I wanted to propose PolicyKit-gnome
for 2.24. That didn't happen for a number of reasons, none of them
including the code not being ready; it's already in use in a number of
places and shipping in a lot of distributions. There's also resp.
Solaris and FreeBSD support in resp. 0.8 and git HEAD of PolicyKit.

FWIW, my plan is to work on getting PolicyKit to 1.0 over the summer and
then propose PolicyKit-gnome for Desktop in 2.26 and possibly for
Platform in 2.28. I think, based on the number of apps using PolicyKit
already, it would be nice to have PolicyKit 0.8 and PolicyKit-gnome 0.8
as blessed external deps for GNOME 2.24. How about that?


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]